From 7c89b78d4fe1bcfd84e5a718c3690a04e55867d0 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Apr 18 2024 23:52:39 +0000
Subject: [PATCH 120/220] Better snapshot versioning


---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index a304af9..5e8ff9d 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -11,7 +11,7 @@
 %global crate cosmic-app-library
 
 Name:           cosmic-app-library
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        App Library program for the COSMIC Desktop Environment.
 
@@ -39,8 +39,8 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-applibrary
-Source:         cosmic-app-library-%{ver}.tar.xz
-Source:         cosmic-app-library-%{ver}-vendor.tar.xz
+Source:         cosmic-app-library-%{commit}.tar.xz
+Source:         cosmic-app-library-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index 3ec29a6..6eddf33 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -6,7 +6,7 @@
 %global date ###
 
 Name:           cosmic-applets
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        Applets for the COSMIC Desktop Environment.
 
@@ -35,8 +35,8 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-applets
-Source:         cosmic-applets-%{ver}.tar.xz
-Source:         cosmic-applets-%{ver}-vendor.tar.xz
+Source:         cosmic-applets-%{commit}.tar.xz
+Source:         cosmic-applets-%{commit}-vendor.tar.xz
 
 Patch: better_compile.patch
 Patch: symlink.patch
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index 6ed8815..0a1bcd1 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -6,7 +6,7 @@
 %global date ###
 
 Name:           cosmic-bg
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        Background manager for the COSMIC Desktop Environment.
 
@@ -29,8 +29,8 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 OR MIT AND Apache-2.0 W
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-bg
-Source:         cosmic-bg-%{ver}.tar.xz
-Source:         cosmic-bg-%{ver}-vendor.tar.xz
+Source:         cosmic-bg-%{commit}.tar.xz
+Source:         cosmic-bg-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
 BuildRequires:  rustc
diff --git a/rpms/cosmic-comp/cosmic-comp.spec b/rpms/cosmic-comp/cosmic-comp.spec
index 77690ba..e16c7b3 100644
--- a/rpms/cosmic-comp/cosmic-comp.spec
+++ b/rpms/cosmic-comp/cosmic-comp.spec
@@ -6,7 +6,7 @@
 %global date ###
 
 Name:           cosmic-comp
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        Compositor for the COSMIC Desktop Environment. Can also be used as a standalone compositor.
 
@@ -40,8 +40,8 @@ License:        GPL-3.0 AND (Apache-2.0 OR MIT) AND BSD-3-Clause AND 0BSD OR MIT
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-comp
-Source:         cosmic-comp-%{ver}.tar.xz
-Source:         cosmic-comp-%{ver}-vendor.tar.xz
+Source:         cosmic-comp-%{commit}.tar.xz
+Source:         cosmic-comp-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
 BuildRequires:  rustc
diff --git a/rpms/cosmic-desktop/cosmic-desktop.spec b/rpms/cosmic-desktop/cosmic-desktop.spec
index 5d42da9..1a464db 100644
--- a/rpms/cosmic-desktop/cosmic-desktop.spec
+++ b/rpms/cosmic-desktop/cosmic-desktop.spec
@@ -3,7 +3,7 @@
 %global date ###
 
 Name:           cosmic-desktop
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        The next generation COSMIC Desktop Environment
 
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index 48e6973..c8fc814 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -11,7 +11,7 @@
 %global date ###
 
 Name:           cosmic-edit
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        Libcosmic text editor.
 
@@ -43,8 +43,8 @@ License:        (Apache-2.0 OR MIT) AND BSD-3-Clause AND 0BSD OR MIT OR Apache-2
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-edit
-Source:         cosmic-edit-%{ver}.tar.xz
-Source:         cosmic-edit-%{ver}-vendor.tar.xz
+Source:         cosmic-edit-%{commit}.tar.xz
+Source:         cosmic-edit-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 641175f..483157e 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -11,7 +11,7 @@
 %global date ###
 
 Name:           cosmic-files
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        Libcosmic file manager.
 
@@ -42,8 +42,8 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR BSL-1
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-files
-Source:         cosmic-files-%{ver}.tar.xz
-Source:         cosmic-files-%{ver}-vendor.tar.xz
+Source:         cosmic-files-%{commit}.tar.xz
+Source:         cosmic-files-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index e555eea..8df9278 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -6,7 +6,7 @@
 %global date ###
 
 Name:           cosmic-greeter
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        Login and display manager built using GreetD for the COSMIC Desktop Environment.
 
@@ -36,8 +36,8 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR BSL-1
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-greeter
-Source:         cosmic-greeter-%{ver}.tar.xz
-Source:         cosmic-greeter-%{ver}-vendor.tar.xz
+Source:         cosmic-greeter-%{commit}.tar.xz
+Source:         cosmic-greeter-%{commit}-vendor.tar.xz
 
 Patch:          service.patch
 
diff --git a/rpms/cosmic-icons/cosmic-icons.spec b/rpms/cosmic-icons/cosmic-icons.spec
index 4b94138..681f50d 100644
--- a/rpms/cosmic-icons/cosmic-icons.spec
+++ b/rpms/cosmic-icons/cosmic-icons.spec
@@ -5,14 +5,14 @@
 %global date ###
 
 Name:           cosmic-icons
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        Icon theme for the COSMIC Desktop Environment.
 
 License:        CC-BY-SA-4.0
 
 URL:            https://github.com/pop-os/cosmic-icons
-Source:         cosmic-icons-%{ver}.tar.xz
+Source:         cosmic-icons-%{commit}.tar.xz
 
 BuildRequires:  just
 
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index 6f8ea72..f59ff38 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -11,7 +11,7 @@
 %global date ###
 
 Name:           cosmic-launcher
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        Pop launcher frontend for the COSMIC Desktop Environment.
 
@@ -42,8 +42,8 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR BSL-1
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-launcher
-Source:         cosmic-launcher-%{ver}.tar.xz
-Source:         cosmic-launcher-%{ver}-vendor.tar.xz
+Source:         cosmic-launcher-%{commit}.tar.xz
+Source:         cosmic-launcher-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index 7882716..7ebf982 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -6,7 +6,7 @@
 %global date ###
 
 Name:           cosmic-notifications
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        Notifications daemon for the COSMIC Desktop Environment.
 
@@ -37,8 +37,8 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR BSD-3
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-notifications
-Source:         cosmic-notifications-%{ver}.tar.xz
-Source:         cosmic-notifications-%{ver}-vendor.tar.xz
+Source:         cosmic-notifications-%{commit}.tar.xz
+Source:         cosmic-notifications-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
 BuildRequires:  rustc
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index a5bd74f..16ca145 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -11,7 +11,7 @@
 %global date ###
 
 Name:           cosmic-osd
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        OSDs for the COSMIC Desktop Environment.
 
@@ -40,8 +40,8 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-osd
-Source:         cosmic-osd-%{ver}.tar.xz
-Source:         cosmic-osd-%{ver}-vendor.tar.xz
+Source:         cosmic-osd-%{commit}.tar.xz
+Source:         cosmic-osd-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/rpms/cosmic-panel/cosmic-panel.spec b/rpms/cosmic-panel/cosmic-panel.spec
index 301d62d..4de539c 100644
--- a/rpms/cosmic-panel/cosmic-panel.spec
+++ b/rpms/cosmic-panel/cosmic-panel.spec
@@ -6,7 +6,7 @@
 %global date ###
 
 Name:           cosmic-panel
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        Panel for the COSMIC Desktop Environment.
 
@@ -34,8 +34,8 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR BSD-3
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-panel
-Source:         cosmic-panel-%{ver}.tar.xz
-Source:         cosmic-panel-%{ver}-vendor.tar.xz
+Source:         cosmic-panel-%{commit}.tar.xz
+Source:         cosmic-panel-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
 BuildRequires:  rustc
diff --git a/rpms/cosmic-randr/cosmic-randr.spec b/rpms/cosmic-randr/cosmic-randr.spec
index f877573..72eb296 100644
--- a/rpms/cosmic-randr/cosmic-randr.spec
+++ b/rpms/cosmic-randr/cosmic-randr.spec
@@ -6,7 +6,7 @@
 %global date ###
 
 Name:           cosmic-randr
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        Cosmic-randr command line interface
 
@@ -26,8 +26,8 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-randr
-Source:         cosmic-randr-%{ver}.tar.xz
-Source:         cosmic-randr-%{ver}-vendor.tar.xz
+Source:         cosmic-randr-%{commit}.tar.xz
+Source:         cosmic-randr-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
 BuildRequires:  rustc
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index 1acddc3..a45238c 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -11,7 +11,7 @@
 %global date ###
 
 Name:           cosmic-screenshot
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        Screenshot utility for the COSMIC Desktop Environment.
 
@@ -30,8 +30,8 @@ SourceLicense:  GPL-3.0
 License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 OR MIT AND Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT AND BSD-3-Clause AND MIT AND MIT OR Apache-2.0 AND MIT OR Apache-2.0 OR Zlib AND MIT OR Zlib OR Apache-2.0 AND MPL-2.0 AND Unlicense OR MIT AND Zlib OR Apache-2.0 OR MIT AND LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-screenshot
-Source:         cosmic-screenshot-%{ver}.tar.xz
-Source:         cosmic-screenshot-%{ver}-vendor.tar.xz
+Source:         cosmic-screenshot-%{commit}.tar.xz
+Source:         cosmic-screenshot-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index 4751165..79cee14 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -11,7 +11,7 @@
 %global date ###
 
 Name:           cosmic-session
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        Session manager for the COSMIC desktop environment
 
@@ -34,8 +34,8 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 OR BSD-3-Clause AND Apa
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-session
-Source:         cosmic-session-%{ver}.tar.xz
-Source:         cosmic-session-%{ver}-vendor.tar.xz
+Source:         cosmic-session-%{commit}.tar.xz
+Source:         cosmic-session-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
index 3abceba..6ece492 100644
--- a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
+++ b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
@@ -11,7 +11,7 @@
 %global date ###
 
 Name:           cosmic-settings-daemon
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        Settings daemon for the COSMIC Desktop Environment.
 
@@ -39,8 +39,8 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-settings-daemon
-Source:         cosmic-settings-daemon-%{ver}.tar.xz
-Source:         cosmic-settings-daemon-%{ver}-vendor.tar.xz
+Source:         cosmic-settings-daemon-%{commit}.tar.xz
+Source:         cosmic-settings-daemon-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index 52555f4..55b5dd8 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -8,7 +8,7 @@
 %global date ###
 
 Name:           cosmic-settings
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        Settings app for the COSMIC Desktop Environment.
 
@@ -40,8 +40,8 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-settings
-Source:         cosmic-settings-%{ver}.tar.xz
-Source:         cosmic-settings-%{ver}-vendor.tar.xz
+Source:         cosmic-settings-%{commit}.tar.xz
+Source:         cosmic-settings-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
 BuildRequires:  rustc
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index 2e4f7cd..7d2f579 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -6,7 +6,7 @@
 %global date ###
 
 Name:           cosmic-store
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        App store for the COSMIC Desktop Environment.
 
@@ -38,8 +38,8 @@ License:        (Apache-2.0 OR MIT) AND BSD-3-Clause AND 0BSD OR MIT OR Apache-2
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-store
-Source:         cosmic-store-%{ver}.tar.xz
-Source:         cosmic-store-%{ver}-vendor.tar.xz
+Source:         cosmic-store-%{commit}.tar.xz
+Source:         cosmic-store-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 25
 BuildRequires:  rustc
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index 9723931..52d13a5 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -11,7 +11,7 @@
 %global date ###
 
 Name:           cosmic-term
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        Terminal emulator built with Libcosmic.
 
@@ -42,8 +42,8 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR BSL-1
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-term
-Source:         cosmic-term-%{ver}.tar.xz
-Source:         cosmic-term-%{ver}-vendor.tar.xz
+Source:         cosmic-term-%{commit}.tar.xz
+Source:         cosmic-term-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index 76db636..b6f78f0 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -11,7 +11,7 @@
 %global date ###
 
 Name:           cosmic-workspaces
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        Workspaces overview for the COSMIC Desktop Environment.
 
@@ -40,8 +40,8 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-workspaces-epoch
-Source:         cosmic-workspaces-%{ver}.tar.xz
-Source:         cosmic-workspaces-%{ver}-vendor.tar.xz
+Source:         cosmic-workspaces-%{commit}.tar.xz
+Source:         cosmic-workspaces-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/rpms/pop-launcher/pop-launcher.spec b/rpms/pop-launcher/pop-launcher.spec
index e9e0d20..22f33ca 100644
--- a/rpms/pop-launcher/pop-launcher.spec
+++ b/rpms/pop-launcher/pop-launcher.spec
@@ -6,7 +6,7 @@
 %global date ###
 
 Name:           pop-launcher
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        Modular IPC-based desktop launcher service.
 
@@ -35,8 +35,8 @@ License:        (Apache-2.0 OR MIT) AND BSD-3-Clause AND Apache-2.0 AND Apache-2
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/launcher
-Source:         pop-launcher-%{ver}.tar.xz
-Source:         pop-launcher-%{ver}-vendor.tar.xz
+Source:         pop-launcher-%{commit}.tar.xz
+Source:         pop-launcher-%{commit}-vendor.tar.xz
 
 Patch:          symlink.patch
 
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index 0e09f58..49aac4e 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -11,7 +11,7 @@
 %global date ###
 
 Name:           xdg-desktop-portal-cosmic
-Version:        %{ver}~%{date}
+Version:        %{ver}~git%{date}.%{sub %{commit} 1 7}
 Release:        %autorelease
 Summary:        XDG Desktop Portals implementation for the COSMIC Desktop Environment.
 
@@ -40,8 +40,8 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/xdg-desktop-portal-cosmic
-Source:         xdg-desktop-portal-cosmic-%{ver}.tar.xz
-Source:         xdg-desktop-portal-cosmic-%{ver}-vendor.tar.xz
+Source:         xdg-desktop-portal-cosmic-%{commit}.tar.xz
+Source:         xdg-desktop-portal-cosmic-%{commit}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/scripts/srpm.sh b/scripts/srpm.sh
index 153fa71..1cc3e98 100644
--- a/scripts/srpm.sh
+++ b/scripts/srpm.sh
@@ -14,7 +14,7 @@ repo=$5
 LATEST="latest"
 
 # Clone repo and cd into it
-mkdir $name-$version && cd $name-$version && git clone --recurse-submodules $repo .
+mkdir $name-$commit && cd $name-$commit && git clone --recurse-submodules $repo .
 
 # Get latest commit hash if commit is set to latest
 if [[ "$commit" == "$LATEST" ]]
@@ -22,9 +22,6 @@ then
     commit=$(git rev-parse HEAD)
 fi
 
-# Short commit, used for versioning
-short_commit=${commit:0:6}
-
 # Reset to specified commit
 git reset --hard $commit
 
@@ -32,8 +29,8 @@ git reset --hard $commit
 cd ..
 
 # Zip source
-tar -pcJf $name-$version.tar.xz $name-$version
-rm -rf $name-$version
+tar -pcJf $name-$commit.tar.xz $name-$commit
+rm -rf $name-$commit
 
 # Get specfile
 cp $path_to_spec $name.spec 2>/dev/null || :
diff --git a/scripts/vendor-srpm.sh b/scripts/vendor-srpm.sh
index 4cae3bb..4e0742d 100644
--- a/scripts/vendor-srpm.sh
+++ b/scripts/vendor-srpm.sh
@@ -14,7 +14,7 @@ repo=$5
 LATEST="latest"
 
 # Clone repo and cd into it
-mkdir $name-$version && cd $name-$version && git clone --recurse-submodules $repo .
+mkdir $name-$commit && cd $name-$commit && git clone --recurse-submodules $repo .
 
 # Get latest commit hash if commit is set to latest
 if [[ "$commit" == "$LATEST" ]]
@@ -22,22 +22,19 @@ then
     commit=$(git rev-parse HEAD)
 fi
 
-# Short commit, used for versioning
-short_commit=${commit:0:6}
-
 # Reset to specified commit
 git reset --hard $commit
 
 # Vendor dependencies and zip vendor
 mkdir .vendor
 cargo vendor > .vendor/config.toml
-tar -pcJf $name-$version-vendor.tar.xz vendor && mv $name-$version-vendor.tar.xz ../$name-$version-vendor.tar.xz
+tar -pcJf $name-$commit-vendor.tar.xz vendor && mv $name-$commit-vendor.tar.xz ../$name-$commit-vendor.tar.xz
 # Back into parent directory
 rm -rf vendor && cd ..
 
 # Zip source
-tar -pcJf $name-$version.tar.xz $name-$version
-rm -rf $name-$version
+tar -pcJf $name-$commit.tar.xz $name-$commit
+rm -rf $name-$commit
 
 # Get specfile
 cp $path_to_spec $name.spec 2>/dev/null || :

